> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udgridlayout.md).

# New-UDGridLayout

New-UDGridLayout crea un layout a griglia trascinabile e ridimensionabile in PowerShell Universal per disporre i componenti tramite drag and drop.

### Sinossi

Crea un nuovo layout a griglia. Il layout a griglia consente di trascinare e rilasciare i componenti in una griglia.

### Sintassi

```powershell
New-UDGridLayout [[-Id] <String>] [[-RowHeight] <Int32>] [-Content] <ScriptBlock> [[-Layout] <String>] [[-LargeColumns] <Int32>] [[-MediumColumns] <Int32>] [[-SmallColumns] <Int32>] [[-ExtraSmallColumns] <Int32>] [[-ExtraExtraSmallColumns] <Int32>] [[-LargeBreakpoint] <Int32>] [[-MediumBreakpoint] <Int32>] [[-SmallBreakpoint] <Int32>] [[-ExtraSmallBreakpoint] <Int32>] [[-ExtraExtraSmallBreakpoint] <Int32>] [-Draggable] [-Resizable] [-Persist] [-Design] [<CommonParameters>]
```

### Descrizione

Crea un nuovo layout a griglia. Il layout a griglia consente di trascinare e rilasciare i componenti in una griglia.

### Parametri

#### -Id

L'ID di questo componente. Il valore predefinito è un GUID casuale.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -RowHeight

L'altezza di ogni riga in pixel. Il valore predefinito è 30.

```
Required?                    false
Position?                    2
Default value                30
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Il contenuto del layout a griglia. Si tratta di uno scriptblock che restituisce un elenco di componenti. I componenti devono avere ID statici.

```
Required?                    true
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Layout

Il layout della griglia. Deve essere una stringa JSON.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LargeColumns

Il numero di colonne nel breakpoint large. Il valore predefinito è 12.

```
Required?                    false
Position?                    5
Default value                12
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MediumColumns

Il numero di colonne nel breakpoint medium. Il valore predefinito è 10.

```
Required?                    false
Position?                    6
Default value                10
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -SmallColumns

Il numero di colonne nel breakpoint small. Il valore predefinito è 6.

```
Required?                    false
Position?                    7
Default value                6
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraSmallColumns

Il numero di colonne nel breakpoint extra small. Il valore predefinito è 4.

```
Required?                    false
Position?                    8
Default value                4
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraExtraSmallColumns

Il numero di colonne nel breakpoint extra extra small. Il valore predefinito è 2.

```
Required?                    false
Position?                    9
Default value                2
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LargeBreakpoint

La larghezza del breakpoint large in pixel. Il valore predefinito è 1200.

```
Required?                    false
Position?                    10
Default value                1200
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MediumBreakpoint

La larghezza del breakpoint medium in pixel. Il valore predefinito è 996.

```
Required?                    false
Position?                    11
Default value                996
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -SmallBreakpoint

La larghezza del breakpoint small in pixel. Il valore predefinito è 768.

```
Required?                    false
Position?                    12
Default value                768
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraSmallBreakpoint

La larghezza del breakpoint extra small in pixel. Il valore predefinito è 480.

```
Required?                    false
Position?                    13
Default value                480
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraExtraSmallBreakpoint

La larghezza del breakpoint extra extra small in pixel. Il valore predefinito è 0.

```
Required?                    false
Position?                    14
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Draggable

Indica se i componenti possono essere trascinati.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Resizable

Indica se i componenti possono essere ridimensionati.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Persist

Indica se il layout deve essere mantenuto nella sessione corrente del browser.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Design

Indica se il layout a griglia è in modalità progettazione. La modalità progettazione consente di copiare il layout JSON corrente.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parametri comuni

Questo cmdlet supporta i parametri comuni: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable e OutVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

### Esempi

#### Esempio 1: layout a griglia di base

```powershell
New-UDGridLayout -Content {
    New-UDCard -Text "Card 1" -Id "card1"
    New-UDCard -Text "Card 2" -Id "card2"
} -Id 'gridLayout1' -Draggable -Resizable -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card1","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card2","moved":false,"static":false}]}'
```

Crea un layout a griglia di base con due card.

#### Esempio 2: trascinabile e ridimensionabile

```powershell
New-UDGridLayout -Content {
    New-UDCard -Text "Card 3" -Id "card3"
    New-UDCard -Text "Card 4" -Id "card4"
} -Id 'gridLayout2' -Design -Draggable -Resizable -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card3","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card4","moved":false,"static":false}]}'
```

Crea un layout a griglia con due card che possono essere trascinate e ridimensionate. Questo layout è anche in modalità progettazione, che consente di copiare il layout corrente in formato JSON.

#### Esempio 3: layout mantenuto

```powershell
New-UDGridLayout -Content {
    New-UDCard -Text "Card 5" -Id "card5"
    New-UDCard -Text "Card 6" -Id "card6"
} -Id 'gridLayout3' -Design -Draggable -Resizable -Persist -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card5","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card6","moved":false,"static":false}]}'
```

Questo layout viene inoltre mantenuto nella sessione corrente del browser. Aggiorni la pagina per vedere il layout mantenuto.

\[Component("Grid Layout", "TableLayout", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udgridlayout.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
